Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class AlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jivesoftware.util.AlreadyExistsException

All Implemented Interfaces:
  Serializable

    public class AlreadyExistsException

extends Exception

Flags an exception when something to be created or added already exists.

Use this class when it's not worth creating a unique xAlreadyExistsException class, or where the context of the call makes it obvious what type of object was not found.

Author:
  Iain Shigeoka
See Also:
  Serialized Form

Constructor Summary
`AlreadyExistsException()`
`AlreadyExistsException(String message)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AlreadyExistsException

    public AlreadyExistsException()

### AlreadyExistsException

    public AlreadyExistsException(String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.